#
# spec file for package tla (Version 1.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  expat neon neon-devel openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat gcc gdbm gettext libtool neon neon-devel openssl-devel perl rpm

Name:         tla
License:      GPL
Group:        Development/Tools/Version Control
Autoreqprov:  on
Version:      1.2
Release:      15.4
Summary:      Arch Revision Control System
URL:          http://regexps.srparish.net/www/
Source:       %{name}-%{version}.tar.bz2
Patch0:       tla-1.2pre0-posix.patch
Patch1:       tla-valist.patch
Patch2:       tla-1.2-texi.patch
Patch3:       CAN-2004-0179.diff
Patch4:       neon-CAN-2004-0398.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Also known as gnu-arch. It is an implementation of arch in C, by Tom
Lord.

A modern replacement for CVS, specifically designed for the distributed
development needs of open source projects. It has uniquely good support
for development on branches (especially good merging tools),
distributed repositories (every developer can have branches in their
own repository), changeset-oriented project management (arch commits
changes to multiple files at once), and, of course, file and directory
renaming.



Authors:
--------
    Thomas Lord <lord@emf.net>

%prep
%setup -q -n %{name}-%{version}/src
%patch0
%patch1
%patch2 -p2
cd tla/libneon
%patch3 -p1
%patch4 -p1

%build
mkdir =build
cd =build
CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
    CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
    ../configure \
    --prefix=%{_prefix} \
    --with-install-hackerlab=yes \
    --with-install-link-tools=yes
make
PATH=`echo $PATH|sed 's#//#/#g'` make test
cd ../docs-tla/texi
makeinfo arch.texi

%install
rm -rf $RPM_BUILD_ROOT
cd =build
make install destdir=$RPM_BUILD_ROOT
cd ..
install -d $RPM_BUILD_ROOT/%{_infodir}
install -m 644 docs-tla/texi/arch.info $RPM_BUILD_ROOT/%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING docs-tla/html docs-tla/HOWTO.crypto
%{_bindir}/*
%{_infodir}/*

%changelog -n tla
* Tue Jun 08 2004 - mcihar@suse.cz
- unsafe use of sscanf() in bundled libneon (bugs #41712 and #39774)
* Tue Apr 20 2004 - mcihar@suse.cz
- fix format string vulnerability in bundled libneon (bugs #39129 and #37716)
* Fri Apr 02 2004 - mcihar@suse.cz
- include info page (bug #35834)
* Fri Apr 02 2004 - mcihar@suse.cz
- include documentation about signing archives
* Mon Mar 01 2004 - mcihar@suse.cz
- update to 1.2
* Mon Feb 23 2004 - mcihar@suse.cz
- update to 1.2pre2
* Fri Jan 23 2004 - mcihar@suse.cz
- update to 1.2pre1
* Thu Jan 08 2004 - schwab@suse.de
- Fix more uses of varargs.
- Define _GNU_SOURCE to get the required declarations.
* Mon Jan 05 2004 - schwab@suse.de
- Fix use of varargs.
* Mon Jan 05 2004 - mcihar@suse.cz
- update to 1.2pre0
* Fri Nov 28 2003 - schwab@suse.de
- Fix use of varargs.
* Thu Nov 27 2003 - mcihar@suse.cz
- updated to 1.1pre9
* Fri Nov 21 2003 - mcihar@suse.cz
- initial packaging
